{
  pkgs ?
    import
      # nixos-25.05 (neovim@0.11.2):
      (fetchTarball {
        url = "https://github.com/nixos/nixpkgs/archive/32a4e87942101f1c9f9865e04dc3ddb175f5f32e.tar.gz";
        sha256 = "1jvflnbrxa8gjxkwjq6kdpdzgwp0hs59h9l3xjasksv0v7xlwykz";
      })
      { },
}:
pkgs.mkShell {
  packages = [
    pkgs.git
    pkgs.gnumake
    pkgs.lua-language-server
    pkgs.lua51Packages.busted
    pkgs.lua51Packages.luacov
    pkgs.lua51Packages.luarocks
    pkgs.lua51Packages.nlua
    pkgs.neovim
    pkgs.stylua
    pkgs.watchexec
  ];
}
